--TEST--
basic #62 - basic context
--DESCRIPTION--
basic context - literal references
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = 'Goodbye {{\'foo bar\'}} world!';
$context = array(
        'foo bar' => 'beautiful',
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
Goodbye beautiful world!