--TEST--
blocks #39 - decorators
--DESCRIPTION--
decorators - should fail when accessing variables from root
--SKIPIF--
<?php if( true ) die('skip decorators are not currently supported'); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{*decorator foo}}';
$context = array(
        'foo' => 'fail',
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--