--TEST--
partials #44 - inline partials
--DESCRIPTION--
inline partials - should define inline partials for partial call
--SKIPIF--
<?php if( true ) die('skip inline partials are not supported by the VM'); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#*inline "myPartial"}}success{{/inline}}{{> dude}}';
$context = array();
$partials = new DefaultRegistry(array(
        'dude' => '{{> myPartial }}',
        'shared/dude' => '{{name}}',
        'globalTest' => '{{anotherDude}}',
    ));
$options = array();
$vm = new VM();
$vm->setPartials($partials);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
success